JmsTopicResolver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.JmsTopicResolver interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Interface JmsTopicResolver

All Known Implementing Classes:
  DefaultJmsTopicResolver, WeblogicJmsTopicResolver

    public interface JmsTopicResolver

A strategy interface to detect a `javax.jms.Topic` in, possibly, a vendor-specific way.

Method Summary
`boolean` | `isTopic(Destination destination)` Use any means suitable to detect a topic.
`boolean` | `isTopic(ImmutableEndpoint endpoint)` Use endpoint configuration to detect a topic.
`boolean` | `isTopic(ImmutableEndpoint endpoint, boolean fallbackToEndpointProperties)` Use endpoint configuration to detect a topic.

Method Detail

### isTopic

    boolean isTopic(ImmutableEndpoint endpoint)

  Use endpoint configuration to detect a topic.

  Parameters:
    `endpoint` - endpoint to test
  Returns:
    true if endpoint's config tells it's a topic
  See Also:
    `isTopic(org.mule.api.endpoint.ImmutableEndpoint, boolean)`

### isTopic

    boolean isTopic(ImmutableEndpoint endpoint,
                    boolean fallbackToEndpointProperties)

  Use endpoint configuration to detect a topic. Additionally, specify a fallback mechanism to search in endpoint's properties in case resource info yields `false`. In case resource info returned `true` no endpoint properties would be consulted.

  Parameters:
    `endpoint` - endpoint to test
    `fallbackToEndpointProperties` - whether to check endpoint's properties if resource info returned false
  Returns:
    true if endpoint's config tells it's a topic

### isTopic

    boolean isTopic(Destination destination)

  Use any means suitable to detect a topic. This can be as simple as an `instanceof` call or utilize reflection and/or vendor API instead.

  Parameters:
    `destination` - a jms destination to test
  Returns:
    `true` for topic

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.